DOM::MouseEvent class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::MouseEvent Class Reference

Introduced in DOM Level 2. More...

`#include <dom2_events.h>`

Inheritance diagram for DOM::MouseEvent:

[legend]
Collaboration diagram for DOM::MouseEvent:

[legend]
List of all members.

## Public Member Functions
| MouseEvent (const MouseEvent &other)
| MouseEvent (const Event &other)
MouseEvent & | operator= (const MouseEvent &other)
MouseEvent & | operator= (const Event &other)
long | screenX () const
| The horizontal coordinate at which the event occurred relative to the origin of the screen coordinate system.
long | screenY () const
| The vertical coordinate at which the event occurred relative to the origin of the screen coordinate system.
long | clientX () const
| The horizontal coordinate at which the event occurred relative to the DOM implementation's client area.
long | clientY () const
| The vertical coordinate at which the event occurred relative to the DOM implementation's client area.
bool | ctrlKey () const
| Used to indicate whether the 'ctrl' key was depressed during the firing of the event.
bool | shiftKey () const
| Used to indicate whether the 'shift' key was depressed during the firing of the event.
bool | altKey () const
| Used to indicate whether the 'alt' key was depressed during the firing of the event.
bool | metaKey () const
| Used to indicate whether the 'meta' key was depressed during the firing of the event.
unsigned short | button () const
| During mouse events caused by the depression or release of a mouse button, button is used to indicate which mouse button changed state.
Node | relatedTarget () const
| Used to identify a secondary EventTarget related to a UI event.
void | initMouseEvent (const DOMString &typeArg, bool canBubbleArg, bool cancelableArg, const AbstractView &viewArg, long detailArg, long screenXArg, long screenYArg, long clientXArg, long clientYArg, bool ctrlKeyArg, bool altKeyArg, bool shiftKeyArg, bool metaKeyArg, unsigned short buttonArg, const Node &relatedTargetArg)
| The initMouseEvent method is used to initialize the value of a MouseEvent created through the DocumentEvent interface.
## Protected Member Functions
| MouseEvent (MouseEventImpl *impl)

## Detailed Description

Introduced in DOM Level 2.

The MouseEvent interface provides specific contextual information associated with Mouse events.

The detail attribute inherited from UIEvent indicates the number of times a mouse button has been pressed and released over the same screen location during a user action. The attribute value is 1 when the user begins this action and increments by 1 for each full sequence of pressing and releasing. If the user moves the mouse between the mousedown and mouseup the value will be set to 0, indicating that no click is occurring.

In the case of nested elements mouse events are always targeted at the most deeply nested element. Ancestors of the targeted element may use bubbling to obtain notification of mouse events which occur within its descendent elements.

Definition at line 383 of file dom2_events.h.

## Member Function Documentation

long DOM::MouseEvent::screenX | ( |  | ) | const

| The horizontal coordinate at which the event occurred relative to the origin of the screen coordinate system.

long DOM::MouseEvent::screenY | ( |  | ) | const

| The vertical coordinate at which the event occurred relative to the origin of the screen coordinate system.

long DOM::MouseEvent::clientX | ( |  | ) | const

| The horizontal coordinate at which the event occurred relative to the DOM implementation's client area.

long DOM::MouseEvent::clientY | ( |  | ) | const

| The vertical coordinate at which the event occurred relative to the DOM implementation's client area.

bool DOM::MouseEvent::ctrlKey | ( |  | ) | const

| Used to indicate whether the 'ctrl' key was depressed during the firing of the event.

bool DOM::MouseEvent::shiftKey | ( |  | ) | const

| Used to indicate whether the 'shift' key was depressed during the firing of the event.

bool DOM::MouseEvent::altKey | ( |  | ) | const

| Used to indicate whether the 'alt' key was depressed during the firing of the event. On some platforms this key may map to an alternative key name.

bool DOM::MouseEvent::metaKey | ( |  | ) | const

| Used to indicate whether the 'meta' key was depressed during the firing of the event. On some platforms this key may map to an alternative key name.

unsigned short DOM::MouseEvent::button | ( |  | ) | const

| During mouse events caused by the depression or release of a mouse button, button is used to indicate which mouse button changed state. The values for button range from zero to indicate the left button of the mouse, one to indicate the middle button if present, and two to indicate the right button. For mice configured for left handed use in which the button actions are reversed the values are instead read from right to left.

Node DOM::MouseEvent::relatedTarget | ( |  | ) | const

| Used to identify a secondary EventTarget related to a UI event. Currently this attribute is used with the mouseover event to indicate the EventTarget which the pointing device exited and with the mouseout event to indicate the EventTarget which the pointing device entered.

void DOM::MouseEvent::initMouseEvent | ( | const DOMString & | typeArg,
|  | bool | canBubbleArg,
|  | bool | cancelableArg,
|  | const AbstractView & | viewArg,
|  | long | detailArg,
|  | long | screenXArg,
|  | long | screenYArg,
|  | long | clientXArg,
|  | long | clientYArg,
|  | bool | ctrlKeyArg,
|  | bool | altKeyArg,
|  | bool | shiftKeyArg,
|  | bool | metaKeyArg,
|  | unsigned short | buttonArg,
|  | const Node & | relatedTargetArg
| ) |

  | The initMouseEvent method is used to initialize the value of a MouseEvent created through the DocumentEvent interface. This method may only be called before the MouseEvent has been dispatched via the dispatchEvent method, though it may be called multiple times during that phase if necessary. If called multiple times, the final invocation takes precedence. Parameters Parameters:
  typeArg | Specifies the event type.
  canBubbleArg | Specifies whether or not the event can bubble.
  cancelableArg | Specifies whether or not the event's default action can be prevented.
  viewArg | Specifies the Event's AbstractView.
  detailArg | Specifies the Event's mouse click count.
  screenXArg | Specifies the Event's screen x coordinate
  screenYArg | Specifies the Event's screen y coordinate
  clientXArg | Specifies the Event's client x coordinate
  clientYArg | Specifies the Event's client y coordinate
  ctrlKeyArg | Specifies whether or not control key was depressed during the Event.
  altKeyArg | Specifies whether or not alt key was depressed during the Event.
  shiftKeyArg | Specifies whether or not shift key was depressed during the Event.
  metaKeyArg | Specifies whether or not meta key was depressed during the Event.
  buttonArg | Specifies the Event's mouse button.
  relatedTargetArg | Specifies the Event's related EventTarget.

The documentation for this class was generated from the following file:

- dom2_events.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:35:54 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001